# amuse configuration generated by ./configure from config.mk.in

PYTHON=/Users/rieder/Env/Amuse2pip2/bin/python
CODE_GENERATOR=amusifier

#
# PYTHON embedding
#
PYTHON_DEV=yes
CYTHON=
PYTHONCONFIG=/Users/rieder/Env/Amuse2pip2/bin/python-config
PYTHONDEV_CFLAGS=-I/Users/rieder/Env/Amuse2pip2/include/python2.7 -I/Users/rieder/Env/Amuse2pip2/include/python2.7 -fno-strict-aliasing -fno-common -dynamic -pipe -Os -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes
PYTHONDEV_LDFLAGS=-L/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/config -lpython2.7 -ldl -framework CoreFoundation


#
# Compilers, for compiling without MPI
# these compilers must be the same or compatible with
# the mpi compilers
#
CXX=g++
CC=gcc
FC=/opt/local/bin/gfortran-mp-7
GFORTRAN_VERSION=7.4.0
IFORT_VERSION=
FC_ISO_C_AVAILABLE=yes

#
# Default flags, append to these in the makefiles
#
CXXFLAGS=-g -O2 -fPIC
CFLAGS=-g -O2 -fPIC
FCFLAGS=-g -O2 -fPIC
LDFLAGS=

#
# MPI Compilers
#
MPI_ENABLED=yes
MPICXX=mpicxx
MPICC=mpicc
MPIFC=mpif90
MPIEXEC=/opt/local/bin/mpiexec

MPI_CFLAGS=-I/opt/local/include/openmpi-gcc7
MPI_CXXFLAGS=-I/opt/local/include/openmpi-gcc7
MPI_FCFLAGS=-Wl,-flat_namespace -Wl,-commons,use_dylibs -I/opt/local/lib/openmpi-gcc7
MPI_CLIBS=-L/opt/local/lib/openmpi-gcc7 -lmpi
MPI_CXXLIBS=-L/opt/local/lib/openmpi-gcc7 -lmpi_cxx -lmpi
MPI_FCLIBS=-Wl,-commons,use_dylibs -I/opt/local/lib/openmpi-gcc7 -L/opt/local/lib -L/opt/local/lib/openmpi-gcc7 -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi

#
# Java
#
JAVA_ENABLED=no
JAVA=/usr/bin/java
JAVAC=/usr/bin/javac
JAR=/usr/bin/jar
JAVA_VERSION=

#
# OpenMP
#

OPENMP_ENABLED=yes
OPENMP_FCFLAGS=-fopenmp
OPENMP_CFLAGS=-fopenmp
    
#
# Libraries: FFTW, GSL, HDF5, CUDA, SAPPORO
#

FOUND_FFTW=yes
FFTW_FLAGS=-I/opt/local/include
FFTW_LIBS=-L/opt/local/lib -lfftw3 -lfftw3_threads
    
FOUND_GSL=yes
GSL_FLAGS=-I/opt/local/include
GSL_LIBS=-L/opt/local/lib -lgsl -lgslcblas -lm

FOUND_GMP=no
GMP_FLAGS=
GMP_LIBS=

FOUND_MPFR=yes
MPFR_FLAGS=
MPFR_LIBS=-L/opt/local/lib -lmpfr -lgmp

HDF5_FLAGS=
HDF5_LIBS=

NETCDF_PREFIX=
NETCDF_FLAGS=
NETCDF_LIBS=
NETCDFF_PREFIX=
NETCDFF_FLAGS=
NETCDFF_LIBS=

CUDA_ENABLED=no
NVCC=
NVCC_FLAGS=
CUDA_TK=/NOCUDACONFIGURED
CUDA_LIBS=-L/NOCUDACONFIGURED cuda cudart

FOUND_CL=no
CL_LIBS=
CL_FLAGS=

SAPPORO_VERSION=light
SAPPORO_LIBS=-L${AMUSE_DIR}/lib/sapporo_light -lsapporo 

FS_FLAGS=-I$(AMUSE_DIR)/lib/forsockets
FS_LIBS=-L$(AMUSE_DIR)/lib/forsockets -lforsockets

SC_FLAGS=-I$(AMUSE_DIR)/lib/stopcond
SC_CLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcond
SC_FCLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcond
SC_MPI_CLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcondmpi
SC_MPI_FCLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcondmpi

export PYTHON CXX CC FC CXXFLAGS CFLAGS FCFLAGS MPICXX MPICC MPIFC LDFLAGS
export JAVA JAVAC JAVAH JAR JAVA_FLAGS
export FS_FLAGS FS_LIBS SC_FLAGS SC_CLIBS SC_FCLIBS SC_MPI_CLIBS SC_MPI_FCLIBS
export FFTW_FLAGS FFTW_LIBS
export GSL_FLAGS GSL_LIBS
export HDF5_FLAGS HDF5_LIBS
export OPENMP_FCFLAGS OPENMP_CFLAGS
export NVCC CUDA_TK CUDA_LIBS CUDA_ENABLED
export SAPPORO_VERSION SAPPORO_LIBS
export MPICFLAGS MPICCFLAGS MPIFCFLAGS
export IFORT_VERSION
export NVCC_FLAGS
export PYTHONDEV_LIBS PYTHONDEV_CFLAGS PYTHONDEV_LIBS
export FC_ISO_C_ENABLED

ifdef AMUSE_DIR
export AMUSE_DIR
endif

